JMeterStopTestNowException (Apache JMeter dist API)
Description: declaration: package: org.apache.jorphan.util, class: JMeterStopTestNowException

Package org.apache.jorphan.util

# Class JMeterStopTestNowException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.jorphan.util.JMeterStopTestNowException

All Implemented Interfaces:
  `Serializable`

public class JMeterStopTestNowException extends RuntimeException
This Exception is for use by functions etc to signal a Stop Test Now condition where there is no access to the normal stop method. Stop test now means interrupting current running samplers which will mark them as failed

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JMeterStopTestNowException()`
  `JMeterStopTestNowException(String s)`
  `JMeterStopTestNowException(String s, Throwable ex)`
  `JMeterStopTestNowException(String s, Throwable ex, boolean enableSuppression, boolean writableStackTrace)`
  `JMeterStopTestNowException(Throwable ex)`

- ## Method Summary

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### JMeterStopTestNowException

    public JMeterStopTestNowException()

  - ### JMeterStopTestNowException

    public JMeterStopTestNowException(String s)

  - ### JMeterStopTestNowException

    public JMeterStopTestNowException(String s, Throwable ex)

  - ### JMeterStopTestNowException

    public JMeterStopTestNowException(String s, Throwable ex, boolean enableSuppression, boolean writableStackTrace)

  - ### JMeterStopTestNowException

    public JMeterStopTestNowException(Throwable ex)